#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		__python	/usr/bin/python3
%define		pyver		%(%{__python} --version|cut -d ' ' -f2|cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	python-pygame
Version		:	1.9.6
Release		:	14.4.0.0%{?dist}
Summary		:	Python modules for writing games

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://www.pygame.org
			#https://pypi.org/project/pygame/#files

Source0		:	%{sname}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-fedora-39.patch

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python3-setuptools
BuildRequires	:	freetype-devel
BuildRequires	:	libpng
BuildRequires	:	libjpeg-turbo
BuildRequires	:	ImageMagick-devel
BuildRequires	:	gcc
BuildRequires	:	python3-cython
BuildRequires	:	xorg-libX11

Requires	:	%{__python}

Provides	:	%{sname}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Pygame is a set of Python modules designed for writing games.
It is written on top of the excellent SDL library. This allows
you to create fully featured games and multimedia programs
in the python language.
Pygame is highly portable and runs on nearly every platform and
operating system.
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
#%license LICENSE
#%doc README.rst
%{_includedir}/python%{pyver}/%{sname}/*.h
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/freesansbold.ttf
%{python3_sitelib}/%{sname}/%{sname}.ico
%{python3_sitelib}/%{sname}/%{sname}_icon.*
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/docs/*.py
%{python3_sitelib}/%{sname}/docs/*.{html,gif}
%{python3_sitelib}/%{sname}/docs/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/docs/ref/docscomments.json
%{python3_sitelib}/%{sname}/examples/*.py
%{python3_sitelib}/%{sname}/examples/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/examples/data/*.{bmp,gif,jpg,mpg,png,pgm,ttf}
%{python3_sitelib}/%{sname}/examples/data/*.{mp3,ogg,wav}
%{python3_sitelib}/%{sname}/examples/macosx/*.py
%{python3_sitelib}/%{sname}/examples/macosx/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/examples/macosx/aliens_app_example/README.txt
%{python3_sitelib}/%{sname}/examples/macosx/aliens_app_example/*.py
%{python3_sitelib}/%{sname}/examples/macosx/aliens_app_example/English.lproj/*
%{python3_sitelib}/%{sname}/examples/macosx/aliens_app_example/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/*.py
%{python3_sitelib}/%{sname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/fixtures/fonts/*.{bdf,png,otf,ttf}
%{python3_sitelib}/%{sname}/tests/fixtures/xbm_cursors/*.xbm
%{python3_sitelib}/%{sname}/tests/run_tests__tests/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/all_ok/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/all_ok/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/everything/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/everything/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/exclude/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/exclude/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/failures1/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/failures1/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/incomplete/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/incomplete/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/incomplete_todo/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/incomplete_todo/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/infinite_loop/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/infinite_loop/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/print_stderr/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/print_stderr/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/print_stdout/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/print_stdout/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/run_tests__tests/timeout/*.py
%{python3_sitelib}/%{sname}/tests/run_tests__tests/timeout/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/test_utils/*.py
%{python3_sitelib}/%{sname}/tests/test_utils/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/threads/*.py
%{python3_sitelib}/%{sname}/threads/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}*egg-info/PKG-INFO
%{python3_sitelib}/%{sname}-%{version}*egg-info/not-zip-safe
%{python3_sitelib}/%{sname}-%{version}*egg-info/*.txt

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
%patch0 -p0

# cythonize it
rm src_c/pypm.c
%{__python3} -m cython src_c/pypm.pyx

# rpmlint fixes
find examples/ -type f -print0 | xargs -0 chmod -x 
find docs/ -type f -print0 | xargs -0 chmod -x
find src_c/ -type f -name '*.h' -print0 | xargs -0 chmod -x

# These files must be provided by pygame-nonfree(-devel) packages on a
# repository that does not have restrictions on providing non-free software
rm -f src_c/ffmovie.[ch]
#-----------------------------------------------------------------------------
#building application
%build

#to make building without queestionning
touch Setup

%{__python}						\
	./setup.py					\
	build						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	./setup.py					\
	install						\
	--skip-build					\
	--prefix=%{_prefix}				\
	--root=%{buildroot}				\

#-----------------------------------------------------------------------------
%changelog
